Update Asset

Update details of an Asset.

Required scope | assets:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

asset_idstringRequiredformat: "objectid"
Unique identifier for an Asset on a site

Query parameters

localeIdstringOptional

Unique identifier for a specific Locale.

Learn more about localization.

Request

Information about the asset to update
displayNamestringOptional
A human readable name for the asset. This value is not localizable.
altTextstringOptional
Alternate text describing the image

Response

Request was successful
idstringRead-onlyformat: "objectid"
Unique identifier for this asset
contentTypestringRead-onlyformat: "mime-type"
File format type
sizeintegerRead-only
size in bytes
siteIdstringRead-onlyformat: "objectid"
Unique identifier for the site that hosts this asset
hostedUrlstringRead-onlyformat: "uri"
Link to the asset
originalFileNamestringRead-only
Original file name at the time of upload
displayNamestring
Display name of the asset
lastUpdatedstringRead-onlyformat: "date-time"
Date the asset metadata was last updated
createdOnstringRead-onlyformat: "date-time"
Date the asset metadata was created
variantslist of objects

A list of asset variants created by Webflow to serve your site responsively.

altTextstring or null
The visual description of the asset
folderIdstring or nullformat: "objectid"

The ID of the folder the asset belongs to, or null if the asset is at the site root. This field is present only in list responses (GET /sites/{site_id}/assets).

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error